# https://github.com/libimobiledevice/libimobiledevice
# git snapshot from commit 9e33a26264ab6abe9eea10b7aa11f948b4bde87e

# comment out when not a git snapshot
#define git	20190818

%define rel	11

%define oname		imobiledevice
%define major		6
%define api		1.0
%define libname		%mklibname %{oname} %{api} %{major}
%define libnamedev	%mklibname %{oname} -d

Name:		libimobiledevice
Version:	1.3.0
Release:	%mkrel %{?git:0.git%git.}%{rel}
Summary:	Library for connecting to Apple devices
Group:		System/Libraries
License:	LGPLv2+
URL:		https://libimobiledevice.org/
Source0:	https://www.libimobiledevice.org/downloads/%{name}-%{version}.tar.bz2
#Source0:	%%{name}-%%{version}-git%%{git}.tar.xz
Patch1:		0001-Fixed-debugserver_pxi-PyString_AsString-compatibility-with-Python3.patch
# initial support for iOS 14
Patch2:		0002-mobilebackup2-Set-DeviceLink-version-to-400-to-suppo.patch
Patch3:		0003-screenshotr-Set-DeviceLink-version-to-400-to-support.patch
Patch4:		0004-debugserver-Fix-service-startup-for-iOS-14b4.patch
Patch5:		libplist-2.3.0.patch
BuildRequires:	pkgconfig(libplist-2.0) >= 2.2.0
BuildRequires:	pkgconfig(libplist++-2.0) >= 2.2.0
BuildRequires:	pkgconfig(libusbmuxd-2.0) >= 2.0.2
BuildRequires:	pkgconfig(openssl) >= 1.0

Recommends:	usbmuxd

%description
libimobiledevice is a software library that talks the protocols to support
iPhone®, iPod Touch®, iPad® and Apple TV® devices.

Unlike other projects, it does not depend on using any existing proprietary
libraries and does not require jailbreaking. It allows other software to
easily access the device's filesystem, retrieve information about the device
and it's internals, backup/restore the device, manage SpringBoard® icons,
manage installed applications, retrieve addressbook/calendars/notes and
bookmarks and (using libgpod) synchronize music and video to the device.

#------------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for connecting to Apple devices
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
libimobiledevice is a software library that talks the protocols to support
iPhone®, iPod Touch®, iPad® and Apple TV® devices.

#------------------------------------------------------------------------------

%package -n	%{libnamedev}
Summary:	Development package for %{name}
Group:		Development/C
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libnamedev}
Files for development with %{name}.

#------------------------------------------------------------------------------

%package -n	python3-imobiledevice
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-cython0
BuildRequires:	swig
%{?python_provide:%python_provide python3-imobiledevice}

%description -n python3-imobiledevice
Python 3 bindings for %{name}.

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
autoreconf -fi

%configure \
               --disable-static \
               PYTHON=%{__python3} \
               CYTHON=%{_bindir}/cython-3
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS README.md
%license COPYING.LESSER
%{_bindir}/idevice_id
%{_bindir}/idevicedebug
%{_bindir}/ideviceinfo
%{_bindir}/idevicepair
%{_bindir}/idevicesyslog
%{_bindir}/idevicebackup
%{_bindir}/ideviceimagemounter
%{_bindir}/ideviceenterrecovery
%{_bindir}/idevicenotificationproxy
%{_bindir}/idevicescreenshot
%{_bindir}/idevicebackup2
%{_bindir}/idevicedate
%{_bindir}/idevicedebugserverproxy
%{_bindir}/idevicediagnostics
%{_bindir}/ideviceprovision
%{_bindir}/idevicename
%{_bindir}/idevicecrashreport
%{_bindir}/idevicesetlocation
%{_mandir}/man1/idevice*.1.*

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{libnamedev}
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/%{name}-%{api}.so
%{_includedir}/%{name}/

%files -n python3-imobiledevice
%{python3_sitearch}/%{oname}.so


%changelog
* Tue Mar 04 2025 wally <wally> 1.3.0-11.mga10
+ Revision: 2160322
- rebuild for python3.13

* Thu Apr 04 2024 daviddavid <daviddavid> 1.3.0-10.mga10
+ Revision: 2054305
- rebuild for new libusbmuxd

* Tue Dec 26 2023 daviddavid <daviddavid> 1.3.0-9.mga10
+ Revision: 2021774
- build with cython 0.29.x
- rebuild for py3.12

* Thu Aug 31 2023 daviddavid <daviddavid> 1.3.0-8.mga10
+ Revision: 1982795
- add upstream patch to fix build with libplist >= 2.3.0
- rebuild for new libplist 2.3.0

* Mon Mar 28 2022 umeabot <umeabot> 1.3.0-7.mga9
+ Revision: 1829724
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 1.3.0-6.mga9
+ Revision: 1787159
- rebuild for python-3.10

* Sun Oct 03 2021 wally <wally> 1.3.0-5.mga9
+ Revision: 1748652
- fix RPATH issue
- rebuild for openssl 3.0.0

* Mon Apr 12 2021 daviddavid <daviddavid> 1.3.0-4.mga9
+ Revision: 1715368
- recommend usbmuxd (mga#28669)

* Thu Mar 25 2021 daviddavid <daviddavid> 1.3.0-3.mga9
+ Revision: 1710179
- rebuild for python 3.9

* Fri Jan 08 2021 daviddavid <daviddavid> 1.3.0-2.mga8
+ Revision: 1669752
- backport upstream patches to added initial support for iOS 14 (mga#27846)

* Sat Jun 20 2020 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1597883
- new version: 1.3.0
- now libraries uses an api 1.0

* Tue Feb 18 2020 umeabot <umeabot> 1.2.1-0.git20190818.4.mga8
+ Revision: 1538878
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 27 2019 daviddavid <daviddavid> 1.2.1-0.git20190818.3.mga8
+ Revision: 1463198
- rebuild for new libusbmuxd 2.0.1

* Wed Sep 11 2019 wally <wally> 1.2.1-0.git20190818.2.mga8
+ Revision: 1439762
- rebuild for python3.8

* Mon Aug 26 2019 daviddavid <daviddavid> 1.2.1-0.git20190818.1.mga8
+ Revision: 1432441
- update to latest git snapshot: 1.2.1-git20190818 (mga#25355)
- remove merged upstream patch

* Mon Aug 26 2019 daviddavid <daviddavid> 1.2.0-8.mga8
+ Revision: 1432371
- port the python bindings to Python 3

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-7.mga7
+ Revision: 1298920
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Aug 03 2017 guillomovitch <guillomovitch> 1.2.0-6.mga7
+ Revision: 1134248
- rebuild for latest openssl

* Thu May 26 2016 luigiwalser <luigiwalser> 1.2.0-5.mga6
+ Revision: 1018689
- add upstream patch to only listen on loopback network interface

* Wed Mar 02 2016 umeabot <umeabot> 1.2.0-4.mga6
+ Revision: 983570
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 1.2.0-3.mga6
+ Revision: 955589
- Mageia 6 Mass Rebuild

* Fri Sep 11 2015 daviddavid <daviddavid> 1.2.0-2.mga6
+ Revision: 876643
- rebuild for new libplist 1.12 and libusbmuxd 1.0.10

* Tue Jul 28 2015 sander85 <sander85> 1.2.0-1.mga6
+ Revision: 858669
- New version: 1.2.0

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-4.mga5
+ Revision: 748425
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1.6-3.mga5
+ Revision: 726721
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-2.mga5
+ Revision: 681534
- Mageia 5 Mass Rebuild

* Mon Mar 31 2014 daviddavid <daviddavid> 1.1.6-1.mga5
+ Revision: 610885
- drop unneeded patches
- change version specification on BRs
- new version: 1.1.6

* Sun Mar 30 2014 daviddavid <daviddavid> 1.1.5-4.mga5
+ Revision: 610702
- rebuild for new libplist

* Sat Oct 19 2013 umeabot <umeabot> 1.1.5-3.mga4
+ Revision: 532078
- Mageia 4 Mass Rebuild

* Thu Aug 15 2013 fwang <fwang> 1.1.5-2.mga4
+ Revision: 466718
- add upstream patch to build with cython
+ luigiwalser <luigiwalser>
- add patch from ubuntu to fix CVE-2013-2142

* Thu Jun 13 2013 fwang <fwang> 1.1.5-1.mga4
+ Revision: 442330
- update file list
- bump libmajor
- drop upstream patches
- new version 1.1.5

* Fri Feb 08 2013 fwang <fwang> 1.1.4-4.mga3
+ Revision: 395531
- add patch from pld linux to fix build

* Sat Jan 12 2013 umeabot <umeabot> 1.1.4-3.mga3
+ Revision: 357529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 blino <blino> 1.1.4-2.mga3
+ Revision: 303682
- fix crash in upowerd when run from systemd (from upstream git, Bastien Nocera)

* Tue Aug 07 2012 wally <wally> 1.1.4-1.mga3
+ Revision: 279823
- update descriptions/summaries
- br python-cython
- clean .spec a bit
+ fwang <fwang>
- update br
- bump br
- new version 1.1.4

* Tue Aug 02 2011 fwang <fwang> 1.1.1-3.mga2
+ Revision: 131383
- remove correct files
- do not ship libtool archives
- rebuild for new gnutls

* Sat Jun 11 2011 dmorgan <dmorgan> 1.1.1-1.mga2
+ Revision: 103377
- New version 1.1.1

* Fri Apr 08 2011 ahmad <ahmad> 1.0.6-1.mga1
+ Revision: 82027
- update to 1.0.6

* Fri Mar 25 2011 ahmad <ahmad> 1.1.0-1.mga1
+ Revision: 77412
- update to 1.1.0 and submit it to core/testing

* Tue Jan 18 2011 pterjan <pterjan> 1.0.4-3.mga1
+ Revision: 21818
- Rebuild for python 2.7

* Sat Jan 15 2011 blino <blino> 1.0.4-2.mga1
+ Revision: 18994
- remove old ldconfig scriptlets
- imported package libimobiledevice


* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 602231
- new version 1.0.4

* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 1.0.2-3mdv2011.0
+ Revision: 591447
- rebuild for py 2.7

* Thu Jul 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.2-1mdv2011.0
+ Revision: 556904
- libimobiledevice 1.0.2

* Fri May 14 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.1-1mdv2010.1
+ Revision: 544746
- 1.0.1

* Mon Mar 22 2010 Christophe Fergeau <cfergeau@mandriva.com> 1.0.0-1mdv2010.1
+ Revision: 526320
- libimobiledevice 1.0.0
- new major (0 => 1)

* Mon Feb 01 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.9.7-1mdv2010.1
+ Revision: 499151
- import libimobiledevice


